CUDNN Frontend API 8.3.0

Public Member Functions | Private Attributes | List of all members
cudnn_frontend::OperationGraphBuilder_v8 Class Reference

`#include <cudnn_frontend_OperationGraph.h>`

Collaboration diagram for cudnn_frontend::OperationGraphBuilder_v8:

## Public Member Functions
auto | setHandle (cudnnHandle_t handle_) -> OperationGraphBuilder_v8 &
| Set cudnnHandle for the operations. More...
auto | setOperationGraph (int64_t numOps_, Operation_v8 const **ops_) -> OperationGraphBuilder_v8 &
| Set numoperations and the operations. More...
OperationGraph_v8 && | build ()
| OperationGraphBuilder_v8 ()=default
| ~OperationGraphBuilder_v8 ()=default
| OperationGraphBuilder_v8 (OperationGraphBuilder_v8 &&)=delete
| OperationGraphBuilder_v8 (OperationGraphBuilder_v8 const &)=delete
OperationGraphBuilder_v8 & | operator= (OperationGraphBuilder_v8 const &)=delete

## Private Attributes
OperationGraph_v8 | m_operationGraph

## Detailed Description

OperationGraphBuilder_v8 Class Helper class used to build OperationGraph_v8 class

Definition at line 128 of file cudnn_frontend_OperationGraph.h.

## Constructor & Destructor Documentation

## ◆ OperationGraphBuilder_v8() [1/3]

cudnn_frontend::OperationGraphBuilder_v8::OperationGraphBuilder_v8 | ( |  | ) |
| explicitdefault

## ◆ ~OperationGraphBuilder_v8()

cudnn_frontend::OperationGraphBuilder_v8::~OperationGraphBuilder_v8 | ( |  | ) |
| default

## ◆ OperationGraphBuilder_v8() [2/3]

cudnn_frontend::OperationGraphBuilder_v8::OperationGraphBuilder_v8 | ( | OperationGraphBuilder_v8 && |  | ) |
| delete

## ◆ OperationGraphBuilder_v8() [3/3]

cudnn_frontend::OperationGraphBuilder_v8::OperationGraphBuilder_v8 | ( | OperationGraphBuilder_v8 const & |  | ) |
| delete

## Member Function Documentation

## ◆ build()

OperationGraph_v8&& cudnn_frontend::OperationGraphBuilder_v8::build | ( |  | ) |
| inline

constructs the OperationGraph_v8 by calling the cudnn API Throws the appropriate error message

Definition at line 157 of file cudnn_frontend_OperationGraph.h.

References cudnn_frontend::getLogger(), cudnn_frontend::OperationGraph_v8::OperationGraphBuilder_v8, cudnn_frontend::OperationGraph_v8::operator=(), cudnn_frontend::set_error_and_throw_exception(), and cudnn_frontend::BackendDescriptor::status.

## ◆ operator=()

OperationGraphBuilder_v8& cudnn_frontend::OperationGraphBuilder_v8::operator= | ( | OperationGraphBuilder_v8 const & |  | ) |
| delete

## Member Data Documentation

## ◆ m_operationGraph

OperationGraph_v8 cudnn_frontend::OperationGraphBuilder_v8::m_operationGraph
| private

Definition at line 238 of file cudnn_frontend_OperationGraph.h.

The documentation for this class was generated from the following file:

- cudnn_frontend_OperationGraph.h